You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     h...@sendmail.cz
Last committer: amd...@freebsd.org
Ident:          $FreeBSD: head/net/openmq/Makefile 446723 2017-07-27 09:09:38Z 
amdmi3 $
Log URL:        
http://beefy11.nyi.freebsd.org/data/head-i386-default/p464039_s330525/logs/openmq-4.5.2.p.1,1.log
Build URL:      
http://beefy11.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p464039_s330525
Log:

=>> Building net/openmq
build started at Sun Mar 11 08:35:03 UTC 2018
port directory: /usr/ports/net/openmq
package name: openmq-4.5.2.p.1,1
building for: FreeBSD head-i386-default-job-12 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200060 i386
maintained by: h...@sendmail.cz
Makefile ident:      $FreeBSD: head/net/openmq/Makefile 446723 2017-07-27 
09:09:38Z amdmi3 $
Poudriere version: 3.2.5-2-gf06fe9cf
Host OSVERSION: 1200054
Jail OSVERSION: 1200060
Job Id: 12




!!! Jail is newer than host. (Jail: 1200060, Host: 1200054) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1200060
UNAME_v=FreeBSD 12.0-CURRENT 1200060
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.5-2-gf06fe9cf
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for openmq-4.5.2.p.1,1:
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
h...@sendmail.cz
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/net/openmq/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/openmq/work  
HOME=/wrkdirs/usr/ports/net/openmq/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/net/openmq/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
ANT_OPTS=-Xmx1g JAVA_HOME=/usr/local/openjdk7 
XDG_DATA_HOME=/wrkdirs/usr/ports/net/openmq/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/openmq/work  
HOME=/wrkdirs/usr/ports/net/openmq/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/net/openmq/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" JAVASHAREDIR="share/java"  
JAVAJARDIR="share/java/classes" OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  
RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/openmq"  
EXAMPLESDIR="share/examples/openmq"  DATADIR="share/openmq"  
WWWDIR="www/openmq"  ETCDIR="etc/openmq"
--End PLIST_SUB--

--SUB_LIST--
JAVASHAREDIR="/usr/local/share/java"  
JAVAJARDIR="/usr/local/share/java/classes"  
JAVALIBDIR="/usr/local/share/java/classes" JAVA_VERSION="1.6 1.7" 
JAVA_VENDOR="openjdk" PREFIX=/usr/local LOCALBASE=/usr/local  
DATADIR=/usr/local/share/openmq DOCSDIR=/usr/local/share/doc/openmq 
EXAMPLESDIR=/usr/local/share/examples/openmq  WWWDIR=/usr/local/www/openmq 
ETCDIR=/usr/local/etc/openmq
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 326565) 
(based on LLVM 6.0.0) Target: i386-unknown-freebsd12.0 Thread model: posix 
InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 6.0.0 (tags/RELEASE_600/final 
326565) (based on LLVM 6.0.0) Target: i386-unknown-freebsd12.0 Thread model: 
posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" 
"/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-m" 
"elf_i386_fbsd" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" 
"/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" 
"--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" 
"--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
OUTPUT_58173849_921dbbb2=yes
OUTPUT_9bdba57c_921dbbb2=yes
OUTPUT_6a4fe7f5_921dbbb2=yes
OUTPUT_6bcac02b_921dbbb2=yes
OUTPUT_67d20829_921dbbb2=yes
OUTPUT_bfa62e83_921dbbb2=yes
OUTPUT_f0b4d593_921dbbb2=yes
OUTPUT_308abb44_921dbbb2=yes
OUTPUT_f00456e5_921dbbb2=yes
OUTPUT_65ad290d_921dbbb2=yes
OUTPUT_b2657cc3_921dbbb2=yes
OUTPUT_380987f7_921dbbb2=yes
ARCH=i386
OPSYS=FreeBSD
_OSRELEASE=12.0-CURRENT
OSREL=12.0
OSVERSION=1200060
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  524288
stack size              (kbytes, -s)  65536
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2 CDDL accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   openmq-4.5.2.p.1,1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.5.txz
[head-i386-default-job-12] Installing pkg-1.10.5...
[head-i386-default-job-12] Extracting pkg-1.10.5: .......... done
===>   openmq-4.5.2.p.1,1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of openmq-4.5.2.p.1,1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 CDDL accepted by the user
===> Fetching all distfiles required by openmq-4.5.2.p.1,1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 CDDL accepted by the user
===> Fetching all distfiles required by openmq-4.5.2.p.1,1 for building
=> SHA256 Checksum OK for mq4_5_2p1-source.zip.
=> SHA256 Checksum OK for javaee-api-6.0.jar.
=> SHA256 Checksum OK for grizzly-nio-framework-1.9.18a.jar.
=> SHA256 Checksum OK for jhall-2.0.jar.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 CDDL accepted by the user
===> Fetching all distfiles required by openmq-4.5.2.p.1,1 for building
===>  Extracting for openmq-4.5.2.p.1,1
=> SHA256 Checksum OK for mq4_5_2p1-source.zip.
=> SHA256 Checksum OK for javaee-api-6.0.jar.
=> SHA256 Checksum OK for grizzly-nio-framework-1.9.18a.jar.
=> SHA256 Checksum OK for jhall-2.0.jar.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for openmq-4.5.2.p.1,1
===>  Applying FreeBSD patches for openmq-4.5.2.p.1,1
===========================================================================
=======================<phase: build-depends  >============================
===>   openmq-4.5.2.p.1,1 depends on file: /usr/local/openjdk7/bin/java - not 
found
===>   Installing existing package /packages/All/openjdk-7.161.01,1.txz
[head-i386-default-job-12] Installing openjdk-7.161.01,1...
[head-i386-default-job-12] `-- Installing alsa-lib-1.1.2_1...
[head-i386-default-job-12] `-- Extracting alsa-lib-1.1.2_1: .......... done
[head-i386-default-job-12] `-- Installing dejavu-2.37...
[head-i386-default-job-12] |   `-- Installing fontconfig-2.12.1_2,1...
[head-i386-default-job-12] |   | `-- Installing expat-2.2.5...
[head-i386-default-job-12] |   | `-- Extracting expat-2.2.5: .......... done
[head-i386-default-job-12] |   | `-- Installing freetype2-2.8_1...
[head-i386-default-job-12] |   | `-- Extracting freetype2-2.8_1: .......... done
[head-i386-default-job-12] |   `-- Extracting fontconfig-2.12.1_2,1: .......... 
done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
fc-cache: succeeded
[head-i386-default-job-12] |   `-- Installing mkfontdir-1.0.7...
[head-i386-default-job-12] |   | `-- Installing mkfontscale-1.1.2...
[head-i386-default-job-12] |   |   `-- Installing libfontenc-1.1.3_1...
[head-i386-default-job-12] |   |   | `-- Installing xproto-7.0.31...
[head-i386-default-job-12] |   |   | `-- Extracting xproto-7.0.31: .......... 
done
[head-i386-default-job-12] |   |   `-- Extracting libfontenc-1.1.3_1: ......... 
done
[head-i386-default-job-12] |   | `-- Extracting mkfontscale-1.1.2: .. done
[head-i386-default-job-12] |   `-- Extracting mkfontdir-1.0.7: .. done
[head-i386-default-job-12] `-- Extracting dejavu-2.37: .......... done
[head-i386-default-job-12] `-- Installing java-zoneinfo-2018.c...
[head-i386-default-job-12] `-- Extracting java-zoneinfo-2018.c: .......... done
[head-i386-default-job-12] `-- Installing javavmwrapper-2.6...
[head-i386-default-job-12] `-- Extracting javavmwrapper-2.6: .......... done
[head-i386-default-job-12] `-- Installing libX11-1.6.5,1...
[head-i386-default-job-12] |   `-- Installing kbproto-1.0.7...
[head-i386-default-job-12] |   `-- Extracting kbproto-1.0.7: .......... done
[head-i386-default-job-12] |   `-- Installing libXau-1.0.8_3...
[head-i386-default-job-12] |   `-- Extracting libXau-1.0.8_3: .......... done
[head-i386-default-job-12] |   `-- Installing libXdmcp-1.1.2...
[head-i386-default-job-12] |   `-- Extracting libXdmcp-1.1.2: ......... done
[head-i386-default-job-12] |   `-- Installing libxcb-1.12_2...
[head-i386-default-job-12] |   | `-- Installing libpthread-stubs-0.4...
[head-i386-default-job-12] |   | `-- Extracting libpthread-stubs-0.4: . done
[head-i386-default-job-12] |   | `-- Installing libxml2-2.9.7...
[head-i386-default-job-12] |   | `-- Extracting libxml2-2.9.7: .......... done
[head-i386-default-job-12] |   `-- Extracting libxcb-1.12_2: .......... done
[head-i386-default-job-12] `-- Extracting libX11-1.6.5,1: .......... done
[head-i386-default-job-12] `-- Installing libXext-1.3.3_1,1...
[head-i386-default-job-12] |   `-- Installing xextproto-7.3.0...
[head-i386-default-job-12] |   `-- Extracting xextproto-7.3.0: .......... done
[head-i386-default-job-12] `-- Extracting libXext-1.3.3_1,1: .......... done
[head-i386-default-job-12] `-- Installing libXi-1.7.9,1...
[head-i386-default-job-12] |   `-- Installing inputproto-2.3.2...
[head-i386-default-job-12] |   `-- Extracting inputproto-2.3.2: ........ done
[head-i386-default-job-12] |   `-- Installing libXfixes-5.0.3...
[head-i386-default-job-12] |   | `-- Installing fixesproto-5.0...
[head-i386-default-job-12] |   | `-- Extracting fixesproto-5.0: .... done
[head-i386-default-job-12] |   `-- Extracting libXfixes-5.0.3: .......... done
[head-i386-default-job-12] `-- Extracting libXi-1.7.9,1: .......... done
[head-i386-default-job-12] `-- Installing libXrender-0.9.10...
[head-i386-default-job-12] |   `-- Installing renderproto-0.11.1...
[head-i386-default-job-12] |   `-- Extracting renderproto-0.11.1: .... done
[head-i386-default-job-12] `-- Extracting libXrender-0.9.10: .......... done
[head-i386-default-job-12] `-- Installing libXt-1.1.5,1...
[head-i386-default-job-12] |   `-- Installing libSM-1.2.2_3,1...
[head-i386-default-job-12] |   | `-- Installing libICE-1.0.9_1,1...
[head-i386-default-job-12] |   | `-- Extracting libICE-1.0.9_1,1: .......... 
done
[head-i386-default-job-12] |   `-- Extracting libSM-1.2.2_3,1: .......... done
[head-i386-default-job-12] `-- Extracting libXt-1.1.5,1: .......... done
[head-i386-default-job-12] `-- Installing libXtst-1.2.3...
[head-i386-default-job-12] |   `-- Installing recordproto-1.14.2...
[head-i386-default-job-12] |   `-- Extracting recordproto-1.14.2: .... done
[head-i386-default-job-12] `-- Extracting libXtst-1.2.3: .......... done
[head-i386-default-job-12] Extracting openjdk-7.161.01,1: .......... done
Message from freetype2-2.8_1:

The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).

The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
        cff:no-stem-darkening=1 \
        autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/ft2-toc.html, if documentation was 
installed).
Message from dejavu-2.37:

Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from openjdk-7.161.01,1:

======================================================================

This OpenJDK implementation requires fdescfs(5) mounted on /dev/fd and
procfs(5) mounted on /proc for some functionality.

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd
        mount -t procfs proc /proc

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0
        proc    /proc           procfs          rw      0       0

======================================================================
===>   openmq-4.5.2.p.1,1 depends on file: /usr/local/openjdk7/bin/java - found
===>   Returning to build of openmq-4.5.2.p.1,1
===>   openmq-4.5.2.p.1,1 depends on file: /usr/local/bin/ant - not found
===>   Installing existing package /packages/All/apache-ant-1.10.1.txz
[head-i386-default-job-12] Installing apache-ant-1.10.1...
[head-i386-default-job-12] `-- Installing openjdk8-8.162.12_2...
[head-i386-default-job-12] |   `-- Installing giflib-5.1.4...
[head-i386-default-job-12] |   `-- Extracting giflib-5.1.4: .......... done
[head-i386-default-job-12] `-- Extracting openjdk8-8.162.12_2: .......... done
[head-i386-default-job-12] Extracting apache-ant-1.10.1: .......... done
Message from openjdk8-8.162.12_2:

======================================================================

This OpenJDK implementation requires fdescfs(5) mounted on /dev/fd and
procfs(5) mounted on /proc.

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd
        mount -t procfs proc /proc

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0
        proc    /proc           procfs          rw      0       0

======================================================================
===>   openmq-4.5.2.p.1,1 depends on file: /usr/local/bin/ant - found
===>   Returning to build of openmq-4.5.2.p.1,1
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for openmq-4.5.2.p.1,1
===========================================================================
=======================<phase: build          >============================
===>  Building for openmq-4.5.2.p.1,1
Exception in thread "main" java.lang.UnsupportedClassVersionError: 
org/apache/tools/ant/launch/Launcher : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
        at 
java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:442)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:64)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:354)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:348)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:347)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:312)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
        at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:482)
*** Error code 1

Stop.
make: stopped in /usr/ports/net/openmq
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to